import { MarkInputProps } from '../MarkStrategy'
import styles from '../../MarkFormField/style.module.scss'

export const MarkInputText = ({
  value,
  handler,
  placeholder
}: MarkInputProps) => {
  return (
    <input
      className={styles.input}
      placeholder={placeholder}
      onChange={(e) => {
        handler(e.currentTarget.value)
      }}
      value={value}
    />
  )
}
